Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class WritableClosure

Implementation note: This has to be an inner class! Reason: Closure.this.call will call the outer call method, but with the inner class as executing object. This means any invokeMethod or getProperty call will be called on this inner class instead of the outer!

Constructor Summary
`WritableClosure()`

Method Summary
`Closure` | `asWritable()`
`Object` | `call()`
`Object` | `call(Object arguments)`
`Object` | `call(def args)`
`Object` | `clone()`
`Closure` | `curry(def arguments)`
`Object` | `doCall(def args)`
`boolean` | `equals(Object arg0)`
`Object` | `getDelegate()`
`int` | `getDirective()`
`int` | `getMaximumNumberOfParameters()`
`def` | `getParameterTypes()`
`Object` | `getProperty(String property)`
`int` | `getResolveStrategy()`
`int` | `hashCode()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `run()`
`void` | `setDelegate(Object delegate)`
`void` | `setDirective(int directive)`
`void` | `setProperty(String property, Object newValue)`
`void` | `setResolveStrategy(int resolveStrategy)`
`String` | `toString()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### WritableClosure

    public WritableClosure()

Method Detail

### asWritable

    public Closure asWritable()

### call

    public Object call()

### call

    public Object call(Object arguments)

### call

    public Object call(def args)

### clone

    public Object clone()

### curry

    public Closure curry(def arguments)

### doCall

    public Object doCall(def args)

### equals

    public boolean equals(Object arg0)

### getDelegate

    public Object getDelegate()

### getDirective

    public int getDirective()

  return:
    Returns the directive.

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public def getParameterTypes()

### getProperty

    public Object getProperty(String property)

### getResolveStrategy

    public int getResolveStrategy()

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String method, Object arguments)

### run

    public void run()

### setDelegate

    public void setDelegate(Object delegate)

### setDirective

    public void setDirective(int directive)

  param:
    directive The directive to set.

### setProperty

    public void setProperty(String property, Object newValue)

### setResolveStrategy

    public void setResolveStrategy(int resolveStrategy)

### toString

    public String toString()

### writeTo

    public Writer writeTo(Writer out)